.nolist
include	\masm32\include\masm32rt.inc
.list

.code

; OPT_SUSY		CONSOLE
; OPT_WAIT 0	; 	press any key
; OPT_CleanLST	0

AppName	db	"Tiny console application",0
UsrPrompt	db	"Number divided: ",13,10,0
P99_3		db	13,10,"99/3=",0
P120_4	db	13,10,"120/4=",0
P120_4hs	db	13,10,"120/4= (eax highword=1) ",0
P255_5	db	13,10,"255/5=",0
P255_51	db	13,10,"255/51=",0
P256_4	db	13,10,"256/4=",0
P500_5	db	13,10,"500/5=",0
P1275_255	db	13,10,"1275/255=",0

DivEax MACRO div:REQ
  db 0D4h,div	;divide AL
  shr eax,8		; mov result to AL
EXITM
ENDM


start:	invoke SetConsoleTitle,addr AppName
	print offset UsrPrompt

	print offset P99_3
	mov	eax,99
	DivEax 3
	print str$(eax)

	print offset P120_4
	mov	eax,120
	DivEax 4
	print str$(eax)

	print offset P120_4hs
	mov	eax,120+65536
	DivEax 4
	print str$(eax)

	print offset P255_5
	mov	eax,255
	DivEax 5
	print str$(eax)

	print offset P255_51
	mov	eax,255
	DivEax 51
	print str$(eax)

	print offset P256_4
	mov	eax,256
	DivEax 4
	print str$(eax)

	print offset P500_5
	mov	eax,500
	DivEax 5
	print str$(eax)

	print offset P1275_255
	mov	eax,1275
	DivEax 255
	print str$(eax)

	print chr$(13,10)
	call ret_key
	invoke ExitProcess,0
end start
